commit:     81f2b8951e1cfaad6e2d2449d194bd4bef536a9a
Author:     Harri Nieminen <moikkis <AT> gmail <DOT> com>
AuthorDate: Sun Feb  5 20:07:23 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Feb  5 20:44:22 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=81f2b895

x11-misc/xfishtank: EAPI bump 2 -> 6

Package-Manager: Portage-2.3.3, Repoman-2.3.1
Closes: https://github.com/gentoo/gentoo/pull/3834

 x11-misc/xfishtank/xfishtank-2.1-r2.ebuild | 35 ++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/x11-misc/xfishtank/xfishtank-2.1-r2.ebuild 
b/x11-misc/xfishtank/xfishtank-2.1-r2.ebuild
new file mode 100644
index 00000000..3029d12
--- /dev/null
+++ b/x11-misc/xfishtank/xfishtank-2.1-r2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit toolchain-funcs
+
+MY_P=${P}tp
+
+DESCRIPTION="Turns your root window into an aquarium"
+HOMEPAGE="http://www.ibiblio.org/pub/Linux/X11/demos/";
+SRC_URI="http://www.ibiblio.org/pub/Linux/X11/demos/${MY_P}.tar.gz";
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~x86-linux"
+IUSE=""
+
+RDEPEND="x11-libs/libX11
+       x11-libs/libXt
+       x11-libs/libXext"
+DEPEND="${RDEPEND}
+       x11-proto/xproto
+       x11-misc/imake"
+
+S=${WORKDIR}/${MY_P}
+
+PATCHES=( "${FILESDIR}"/${P}-implicits.patch )
+
+src_compile() {
+       xmkmf || die
+       emake CDEBUGFLAGS="${CFLAGS}" CC="$(tc-getCC)" \
+               EXTRA_LDOPTIONS="${LDFLAGS}" ${PN}
+}

Reply via email to